Account
Cognito login
Signs a user in with email and password, issues the authentication cookie, opens a session and returns the login state, including whether a multi factor authentication challenge is required. Failed attempts are counted per email address and the endpoint starts refusing once too many pile up.
POST
/api/sys/v{version:apiVersion}/account/cognito_login
Request arguments
| Name | Type | Source |
|---|---|---|
| input | DTO_cognito_login | Body |
Request body example
Response
Response body example
DTO_cognito_login
| Name | Type | ReadOnly | Description |
|---|---|---|---|
| String | |||
| password | String | Password | |
| remember_me | Boolean | Remember me |
DTO_logged_in_response
| Name | Type | ReadOnly | Description |
|---|---|---|---|
| challenge_mfa | Boolean | Challenge mfa | |
| action | ENUM logged_in_response_action | Action | |
| info_messages | String[] | Can contain for example "Joined tenant". "Auth method Google added" | |
| warning_messages | String[] | Warning messages | |
| redirect_url | String | Redirect url | |
| verification_hash | String | Verification hash | |
| String |
ENUM logged_in_response_action
| Value | Name | Description |
|---|---|---|
| 0 | UNKNOWN | UNKNOWN |
| 1 | REDIRECT | REDIRECT |
| 2 | SELECT_TENANT | SELECT_TENANT |
| 3 | CREATE_TENANT | CREATE_TENANT |
| 4 | CONTINUE_TO_APP | CONTINUE_TO_APP |
| 5 | LOGIN | LOGIN |
| 6 | VERIFY_EMAIL | VERIFY_EMAIL |
Generated Aug 4, 2026 18:37